Page MenuHomePhabricator

Eliminate the TestStarted-XXX and TestFinished-XXX files from the test traces
ClosedPublic

Authored by amccarth on Mar 9 2016, 3:41 PM.

Details

Summary

Nobody seems to know what purpose these files serve, yet they were accumulating by the thousands in the test traces directory. I'm proposing we delete them.

Creating these files accounted for about 2.5% of the time to run ninja check-lldb on my machine, which isn't a lot, but it's something.

Diff Detail

Event Timeline

amccarth updated this revision to Diff 50209.Mar 9 2016, 3:41 PM
amccarth retitled this revision from to Eliminate the TestStarted-XXX and TestFinished-XXX files from the test traces.
amccarth updated this object.
amccarth added reviewers: tfiala, zturner.
amccarth added a subscriber: lldb-commits.

lgtm, Pavel does Android build infrastructure need these files for some reason?

Here's the commit that added this functionality:

D:\src\llvm\tools\lldb\test>git show a73ad66a
commit a73ad66a4ee96ccc8e6be4a645cd6b9180a72e4b
Author: Johnny Chen <johnny.chen@apple.com>
Date:   Thu Aug 16 19:15:21 2012 +0000

    Catch timestamps for the beginning and end of the test suite run.


    git-svn-id: https://llvm.org/svn/llvm-project/lldb/trunk@162040 91177308-0d34-0410-b5e6-96231b3b80d8

All changes to these lines of code since then have been fixing bugs in the filenames that cause tests to fail, but AFAICT nobody is using it.

tfiala accepted this revision.Mar 9 2016, 7:34 PM
tfiala edited edge metadata.

I'm fine with nuking them.

Prior to the parallel test runner, they were probably the most reliable way to tell if a test crashed in the middle of a run, and to figure out what it was. (Maybe - I don't know as I never used them for that or any other purpose).

We now have much more reasonable ways to track overall progress, so I don't see a compelling reason to keep them.

This revision is now accepted and ready to land.Mar 9 2016, 7:34 PM
labath accepted this revision.Mar 10 2016, 1:49 AM
labath edited edge metadata.

lgtm, Pavel does Android build infrastructure need these files for some reason?

Nope, let's get rid of them.

Can we close this now?

amccarth closed this revision.Apr 29 2016, 10:55 AM

This was submitted last month. r263122